---
title: "List team"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/team`

## Path parameters

- `id` (`entity-team-list-team.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/team'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/team';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/team"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "team": [
    {
      "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
      "userId": "string",
      "name": "string",
      "title": "string",
      "role": "owner",
      "avatarUrl": "string"
    }
  ],
  "count": 0,
  "totalCount": 0,
  "limited": true,
  "source": "postgresql"
}
```

- `team` (`entity-team-list-team.response.200.team`; array<object>, required)
  - `membershipId` (`entity-team-list-team.response.200.team.membershipId`; string, required)
    - format `uuid`
  - `userId` (`entity-team-list-team.response.200.team.userId`; string, required)
  - `name` (`entity-team-list-team.response.200.team.name`; string, required, nullable)
  - `title` (`entity-team-list-team.response.200.team.title`; string, required, nullable)
  - `role` (`entity-team-list-team.response.200.team.role`; string, required, nullable)
    - one of `"owner"`, `"admin"`, `"executive"`, `"board_member"`, `"employee"`, `"advisor"`
  - `avatarUrl` (`entity-team-list-team.response.200.team.avatarUrl`; string, required, nullable)
- `count` (`entity-team-list-team.response.200.count`; integer, required)
- `totalCount` (`entity-team-list-team.response.200.totalCount`; integer, required)
- `limited` (`entity-team-list-team.response.200.limited`; boolean, required)
- `source` (`entity-team-list-team.response.200.source`; string, required)
  - one of `"postgresql"`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-list-team.response.400.error`; object, required)
  - `code` (`entity-team-list-team.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-list-team.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-list-team.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-list-team.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-list-team.response.401.error`; object, required)
  - `code` (`entity-team-list-team.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-list-team.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-list-team.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-list-team.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-list-team.response.403.error`; object, required)
  - `code` (`entity-team-list-team.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-list-team.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-list-team.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-list-team.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-list-team.response.404.error`; object, required)
  - `code` (`entity-team-list-team.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-list-team.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-list-team.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-list-team.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-list-team.response.409.error`; object, required)
  - `code` (`entity-team-list-team.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-list-team.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-list-team.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-list-team.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-list-team.response.500.error`; object, required)
  - `code` (`entity-team-list-team.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-list-team.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-list-team.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-list-team.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-list-team.response.503.error`; object, required)
  - `code` (`entity-team-list-team.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-list-team.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-list-team.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-list-team.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-team-list-team/index.md
